package mvd.jester.simulator.internals;


/**
 * Tasklet
 */
public class TaskletContext {

    private final SegmentContext segment;
    private final long wcet;
    private long executionTime;


    public TaskletContext(SegmentContext segment) {
        this.segment = segment;
        this.wcet = segment.getSegment().getTaskletWcet();
        this.executionTime = 0;
    }
}
