package mvd.jester;

import java.io.File;
import mvd.jester.model.SystemSetup;

/**
 * Hello world!
 *
 */
public class App {
    public static void main(String[] args) {
        SystemSetup.Builder builder = new SystemSetup.Builder().setNumberOfProcessors(8);

        TestEnvironment te = new TestEnvironment(builder, 40000);

        // te.registerTestInterface(SchmidMottok.class);
        te.registerTestPair(mvd.jester.tests.MaiaBertogna.class,
                mvd.jester.simulator.MaiaBertogna.class);


        te.runTests();

    }
}
